mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission System.Runtime.InteropServices.ComVisible(true)

This class is an abstract base class. This class is never instantiated; instead, classes that extend it and represent access to a particular type of isolated storage are used.

Represents access to generic isolated storage capabilities.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Creates either fully restricted (None) or Unrestricted access to isolated storage.

  Initializes a new instance of the class with either restricted or unrestricted permission as specified.

  One of the values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Reconstructs a permission with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission represents access to any and all resources protected by the permission.

  Returns a value indicating whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added.

  Creates an XML encoding of the permission and its current state.

  An XML encoding of the permission, including any state information.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.IsolatedStorageContainment To be added. To be added.

  Gets or sets the type of isolated storage containment allowed.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added. To be added.

  Gets or sets the quota on the overall size of each user's total store.